Lightroom 6.3: Update does not work from 6.2.1

  • 1
  • Problem
  • Updated 3 years ago
  • (Edited)
6.3 will not update my 6.2.1 error log says Lightroom CC/6 update – November 2015
Update is not applicable. Error Code: U44M2P28
Gotta wonder when Adobe will stop asking customers to do their QA for them.
Photo of Bruce Colman

Bruce Colman

  • 7 Posts
  • 0 Reply Likes

Posted 3 years ago

  • 1
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 13977 Posts
  • 1671 Reply Likes
Hi Bruce, How are you applying the update? Are you selecting Help > Updates...? Have you tried restarting your computer and applying the patch after the reboot?
Photo of Bruce Colman

Bruce Colman

  • 7 Posts
  • 0 Reply Likes
The Update function claims that 6.2.1 is up to date, I ran the updater file from the website, hence the error message. Really need to get rid of this horrible Import function, my machine is paralyzed while Import goes and 'reads' by entire Drobo and won't let me select the SD card. Any suggests are appreciated.
Photo of Simon Chen

Simon Chen, Principal Computer Scientist

  • 1385 Posts
  • 413 Reply Likes
Try uninstall your current version of Lightroom completely and reinstall from scratch to see if it helps.
Photo of Bruce Colman

Bruce Colman

  • 7 Posts
  • 0 Reply Likes
I have no idea where I would find a 6.3 install DMG, and going though a rebuild, potentially losing my catalogs do not make this an attractive option. Does anyone know what the error code means?
Photo of Simon Chen

Simon Chen, Principal Computer Scientist

  • 1385 Posts
  • 413 Reply Likes
I don't :-(. Please see http://blogs.adobe.com/lightroomjournal/2015/11/lightroom-cc-2015-3-6-3-now-available.html. There is a direct link to download 6.3 at the end of the blog.
Photo of Victoria Bampton - Lightroom Queen

Victoria Bampton - Lightroom Queen, Champion

  • 3848 Posts
  • 1271 Reply Likes
You might need 6.0 from here to install before the 6.3 patch: https://helpx.adobe.com/lightroom/kb/...
Photo of Bruce Colman

Bruce Colman

  • 7 Posts
  • 0 Reply Likes
Now Lightroom crashes during the new convoluted import process. I'm running Yosemite 10.10.5, on a late 2014 platform, I have not even taken this iMac to El Capitan yet, trying to avoid any grief from that change.

Does Adobe provide any sort of diagram mapping all of these upgrades explaining which platforms they have QA'd them on? So far all I am seeing is 'try this' advice, none of which is without implications, nor is it recommended as a definitive upgrade path.